pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkg/46687: www/ruby-erubis failed to install into multiple ruby-version


yes - that is what this patch should do.

Due to the fact that the gems of ruby193 are installted in different directories as for ruby19 and/or ruby18 this is the correct behaviour as far as I see.
Or is there something that I've overlooked?

There still is the problem with the "binaries" installed in /usr/pkg/bin without a version indication.
This is inconsistent to the way ruby itself is installed.
If there will be lots of binaries for the different version, we should think about subdirectories for the binaries without version extension. This may eliminate lots of problems and allos application to access all binaries of a specific version without specifying a version number in the binary name. The version can be selected by setting up the PATH environment variable. If such directories are introduced, it will be some kind of religion if the main binary is installed in /usr/pkg/bin with a version number and the version-less reference will be a symlink, or if hard-links should be used.

currently ruby is installed the following way:
/usr/pkg/bin/ruby18   - binary of ruby-1.8.7 from lang/ruby18-base
/usr/pkg/bin/ruby193  - binary of ruby-1.9.3 from lang/ruby193-base
/usr/pkg/bin/ruby - symlink to the default version from lant/ruby (ruby193 in 2012Q1 as long as RUBY_VERSION_DEFAULT is not set ...)

Gems are currently installed like this: (here is a conflict !!!)
/usr/pkg/bin/tt       - script for ruby-treetop

It woud be better to do it the following way - my oppinion:
/usr/pkg/bin/tt18      - script fro ruby-treetop based on ruby-1.8.7
/usr/pkg/bin/tt193     - script fro ruby-treetop based on ruby-1.9.3
And in the "new" directory
/usr/pkg/ruby18/bin/tt - link (hard or soft) to /usr/pkg/bin/tt18
The path for this directory is just a suggestion - there may be better choises ... (should be discussed with the people processing PR 46685)

best regards

W. Stukenbrock

OBATA Akio wrote:

The following reply was made to PR pkg/46687; it has been noted by GNATS.

From: "OBATA Akio" <>
Cc: Subject: Re: pkg/46687: www/ruby-erubis failed to install into multiple
Date: Wed, 11 Jul 2012 21:55:23 +0900

 On Wed, 11 Jul 2012 21:15:07 +0900, Wolfgang Stukenbrock 
<> wrote:
> sorry but I don't understand your point. With your patch, installed ruby193-erubis-2.7.0 will be marked as CONFLICTS
 with just ruby193-erubis-[0-9]*, ruby19-erubis-2.7.0 with ruby19-erubis-[0-9]*,
 and ruby18-erubis-2.7.0 with ruby18-erubis-[0-9]*.
 ruby193-erubis-2.7.0 will not be marked as CONFLISTS neither 
 nor ruby18-erubis-2.7.0.
 It should not match the situation you expected.
-- OBATA Akio /

Home | Main Index | Thread Index | Old Index